import {
	Chart,
	Interval,
	Axis
} from '@antv/f2';

import {
	jsx as _jsx
} from "@antv/f2/jsx-runtime";
import {
	jsxs as _jsxs
} from "@antv/f2/jsx-runtime";

export default (({
	data
}) => {
	return _jsxs(Chart, {
		data,
		children: [
			_jsx(Axis, {
				field: "month"
			}),
			_jsx(Axis, {
				field: "value"
			}),
			_jsx(Interval, {
				x: "month",
				y: "value",
				color: "name",
				adjust: {
					type: 'dodge',
					marginRatio: 0.05, // 设置分组间柱子的间距
				},
			})
		]
	});
});